PlaneCircleIntersection

Intersect a plane and a circle.

Syntax

Rhino.PlaneCircleIntersection (arrPlane, arrArcPlane, dblRadius)

Parameters

arrPlane

Required.  Array.  The plane to intersect.

arrArcPlane

Required.  Array.  The plane of the circle. The origin of the plane is the center point of the circle.

dblRadius

Required.  Number.  The radius of the circle.

Returns

Array

An array containing the 3-D intersection points if successful.

Null

If not successful, or on error.

Example

Dim arrPlane

arrPlane = Rhino.PlaneFromFrame(Array(0,0,0), Array(1,1,0), Array(0,0,1))

arrPoints = Rhino.PlaneCircleIntersection(arrPlane, Rhino.WorldXYPlane, 5.0)

If IsArray(arrPoints) Then

  Rhino.AddPoints arrPoints

End If

Also See

IntersectPlanes

PlaneArcIntersection

PlanePlaneIntersection

PlaneSphereIntersection